# Uses of Interface
net.shibboleth.idp.attribute.resolver.AttributeResolver

Packages that use AttributeResolver
Package
Description
net.shibboleth.idp.attribute.resolver.context
The context to do with Attribute Resolution.
net.shibboleth.idp.attribute.resolver.impl
Implementations of core resolver functionality.
net.shibboleth.idp.attribute.resolver.spring.impl
Implementation of top level attribute resolvers.

## Uses of AttributeResolver in net.shibboleth.idp.attribute.resolver.context

Method parameters in net.shibboleth.idp.attribute.resolver.context with type arguments of type AttributeResolver
Modifier and Type
Method
Description
`void`
AttributeResolutionContext.`resolveAttributes(ReloadableService<AttributeResolver> attributeResolverService)`
Helper method to invoke an AttributeResolver service using this context.

## Uses of AttributeResolver in net.shibboleth.idp.attribute.resolver.impl

Classes in net.shibboleth.idp.attribute.resolver.impl that implement AttributeResolver
Modifier and Type
Class
Description
`class`
`AttributeResolverImpl`
A component that resolves the attributes for a particular subject.

## Uses of AttributeResolver in net.shibboleth.idp.attribute.resolver.spring.impl

Methods in net.shibboleth.idp.attribute.resolver.spring.impl that return types with arguments of type AttributeResolver
Modifier and Type
Method
Description
`AbstractServiceableComponent<AttributeResolver>`
AttributeResolverServiceStrategy.`apply(ApplicationContext appContext)`